List captures - Flex Documentation
List captures
cURL
curl --request GET \
--url https://api.withflex.com/v1/captures \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.withflex.com/v1/captures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/captures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


HTTP Status Codes
- 200: Successful response
- 401: Unauthorized
- 403: Forbidden
- 404: Not Found
- 409: Conflict
- 422: Unprocessable Entity
- 429: Too Many Requests
Example Response
{
"captures": [
{
"amount_captured": 2500,
"amount_shipping_captured": 2500,
"amount_discount_captured": 2500,
"amount_tax_captured": 2500,
"capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [],
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
]
}
Error Response
{
"code": "string",
"detail": "string"
}
Query Parameters
- expand:
string(default: "") - Comma-separated list of related objects to expand in the response (e.g., "payment_intent"). - checkout_session:
string | null- Filter captures by checkout session ID (e.g., "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA").
Authorization
- Authorization:
string(header, required) - Use a Bearer token to access this API.
Response Structure
200 : application/json - An envelope wrapping a list of capture objects.